## org.apache.commons.math.linear
Class NonSquareMatrixException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.commons.math.MathRuntimeException
                      org.apache.commons.math.linear.InvalidMatrixException
                          org.apache.commons.math.linear.NonSquareMatrixException

All Implemented Interfaces:
  java.io.Serializable

    public class NonSquareMatrixException

extends InvalidMatrixException

Thrown when an operation defined only for square matrices is applied to non-square ones.

Since:
  2.0
Version:
  $Revision: 799857 $ $Date: 2009-08-01 09:07:12 -0400 (Sat, 01 Aug 2009) $
See Also:
  Serialized Form

Field Summary
`private static long` `serialVersionUID` Serializable version identifier.

Constructor Summary
`NonSquareMatrixException(int rows, int columns)` Construct an exception with the given message.

Method Summary

Methods inherited from class org.apache.commons.math.MathRuntimeException

`createArithmeticException, createArrayIndexOutOfBoundsException, createConcurrentModificationException, createEOFException, createIllegalArgumentException, createIllegalArgumentException, createIllegalStateException, createInternalError, createIOException, createNoSuchElementException, createNullPointerException, createParseException, getArguments, getLocalizedMessage, getMessage, getMessage, getPattern, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version identifier.

  See Also:
    Constant Field Values

Constructor Detail

### NonSquareMatrixException

    public NonSquareMatrixException(int rows,
                                    int columns)

  Construct an exception with the given message.

  Parameters:
    `rows` - number of rows of the faulty matrix
    `columns` - number of columns of the faulty matrix

Copyright (c) 2003-2010 Apache Software Foundation